package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;

/**
 * 维修资金续(补)缴
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface WxzjxjService extends IService<YwpzEntity> {

	// 下拉框查询
	List<XlkEntity> selectxlk(Map<String, String> map);
	
	//列表
    FwxxEntity selectfwxx(YwpzEntity ywpzEntity);
    
    //保存按钮
    void insertBc(YwpzEntity ywpzEntity);
    
    PageInfo<YwpzEntity> queryByPage(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);
    
    void deletexj(YwpzEntity ywpzEntity);

}
